" Vim syntax file
" Language:	Qt-flavored C++
" Current Maintainer:	Leonid V. Fedorenchik <leonid@fedorenchik.com>
" Previous Maintainer:	vim-jp (https://github.com/vim-jp/vim-cpp)
"			Ken Shan <ccshan@post.harvard.edu>
" URL:	https://github.com/fedorenchik/qt-support.vim
" Last Change:	2018 Jan 28

" Qt Namespace
syn keyword qtNamespace QAlgorithmsPrivate
syn keyword qtNamespace QDBusPendingReplyTypes
syn keyword qtNamespace QJsonPrivate
syn keyword qtNamespace QMdi
syn keyword qtNamespace QMediaMetaData
syn keyword qtNamespace QSsl
syn keyword qtNamespace Qt
syn keyword qtNamespace QtConcurrent
syn keyword qtNamespace QtDeclarative
syn keyword qtNamespace QTest
syn keyword qtNamespace QtGlobalStatic
syn keyword qtNamespace QtMetaTypePrivate
syn keyword qtNamespace QtPrivate
syn keyword qtNamespace QtQml
syn keyword qtNamespace QtSharedPointer
syn keyword qtNamespace QtStringBuilder

" Qt Class
syn keyword qtClass QAbstractAnimation
syn keyword qtClass QAbstractAudioDeviceInfo
syn keyword qtClass QAbstractAudioInput
syn keyword qtClass QAbstractAudioOutput
syn keyword qtClass QAbstractButton
syn keyword qtClass QAbstractEventDispatcher
syn keyword qtClass QAbstractExtensionFactory
syn keyword qtClass QAbstractExtensionManager
syn keyword qtClass QAbstractFormBuilder
syn keyword qtClass QAbstractGraphicsShapeItem
syn keyword qtClass QAbstractItemDelegate
syn keyword qtClass QAbstractItemModel
syn keyword qtClass QAbstractItemView
syn keyword qtClass QAbstractListModel
syn keyword qtClass QAbstractMessageHandler
syn keyword qtClass QAbstractNativeEventFilter
syn keyword qtClass QAbstractNetworkCache
syn keyword qtClass QAbstractPrintDialog
syn keyword qtClass QAbstractProxyModel
syn keyword qtClass QAbstractScrollArea
syn keyword qtClass QAbstractSlider
syn keyword qtClass QAbstractSocket
syn keyword qtClass QAbstractSpinBox
syn keyword qtClass QAbstractState
syn keyword qtClass QAbstractTableModel
syn keyword qtClass QAbstractTextDocumentLayout
syn keyword qtClass QAbstractTransition
syn keyword qtClass QAbstractUndoItem
syn keyword qtClass QAbstractUriResolver
syn keyword qtClass QAbstractVideoBuffer
syn keyword qtClass QAbstractVideoSurface
syn keyword qtClass QAbstractXmlNodeModel
syn keyword qtClass QAbstractXmlReceiver
syn keyword qtClass QAccelerometer
syn keyword qtClass QAccelerometerFilter
syn keyword qtClass QAccelerometerReading
syn keyword qtClass QAccessible
syn keyword qtClass QAccessibleApplication
syn keyword qtClass QAccessibleBridge
syn keyword qtClass QAccessibleBridgePlugin
syn keyword qtClass QAccessibleEvent
syn keyword qtClass QAccessibleInterface
syn keyword qtClass QAccessibleObject
syn keyword qtClass QAccessiblePlugin
syn keyword qtClass QAccessibleStateChangeEvent
syn keyword qtClass QAccessibleTableModelChangeEvent
syn keyword qtClass QAccessibleTextCursorEvent
syn keyword qtClass QAccessibleTextInsertEvent
syn keyword qtClass QAccessibleTextRemoveEvent
syn keyword qtClass QAccessibleTextSelectionEvent
syn keyword qtClass QAccessibleTextUpdateEvent
syn keyword qtClass QAccessibleValueChangeEvent
syn keyword qtClass QAction
syn keyword qtClass QActionEvent
syn keyword qtClass QActionGroup
syn keyword qtClass QAltimeter
syn keyword qtClass QAltimeterFilter
syn keyword qtClass QAltimeterReading
syn keyword qtClass QAmbientLightFilter
syn keyword qtClass QAmbientLightReading
syn keyword qtClass QAmbientLightSensor
syn keyword qtClass QAmbientTemperatureFilter
syn keyword qtClass QAmbientTemperatureReading
syn keyword qtClass QAmbientTemperatureSensor
syn keyword qtClass QAnimationDriver
syn keyword qtClass QAnimationGroup
syn keyword qtClass QApplication
syn keyword qtClass QApplicationStateChangeEvent
syn keyword qtClass QArgument
syn keyword qtClass QArrayData
syn keyword qtClass QArrayDataPointer
syn keyword qtClass QArrayDataPointerRef
syn keyword qtClass QAtomicInt
syn keyword qtClass QAtomicPointer
syn keyword qtClass QAudio
syn keyword qtClass QAudioBuffer
syn keyword qtClass QAudioDecoder
syn keyword qtClass QAudioDecoderControl
syn keyword qtClass QAudioDeviceInfo
syn keyword qtClass QAudioEncoderSettings
syn keyword qtClass QAudioEncoderSettingsControl
syn keyword qtClass QAudioFormat
syn keyword qtClass QAudioInput
syn keyword qtClass QAudioInputSelectorControl
syn keyword qtClass QAudioOutput
syn keyword qtClass QAudioOutputSelectorControl
syn keyword qtClass QAudioProbe
syn keyword qtClass QAudioRecorder
syn keyword qtClass QAudioSystemFactoryInterface
syn keyword qtClass QAudioSystemPlugin
syn keyword qtClass QAuthenticator
syn keyword qtClass QBackingStore
syn keyword qtClass QBasicMutex
syn keyword qtClass QBasicTimer
syn keyword qtClass QBBSystemLocaleData
syn keyword qtClass QBitArray
syn keyword qtClass QBitmap
syn keyword qtClass QBitRef
syn keyword qtClass QBoxLayout
syn keyword qtClass QBrush
syn keyword qtClass QBrushData
syn keyword qtClass QBuffer
syn keyword qtClass QButtonGroup
syn keyword qtClass QByteArray
syn keyword qtClass QByteArrayData
syn keyword qtClass QByteArrayDataPtr
syn keyword qtClass QByteArrayMatcher
syn keyword qtClass QByteRef
syn keyword qtClass QCache
syn keyword qtClass QCalendarWidget
syn keyword qtClass QCamera
syn keyword qtClass QCameraCaptureBufferFormatControl
syn keyword qtClass QCameraCaptureDestinationControl
syn keyword qtClass QCameraControl
syn keyword qtClass QCameraExposure
syn keyword qtClass QCameraExposureControl
syn keyword qtClass QCameraFeedbackControl
syn keyword qtClass QCameraFlashControl
syn keyword qtClass QCameraFocus
syn keyword qtClass QCameraFocusControl
syn keyword qtClass QCameraFocusZone
syn keyword qtClass QCameraFocusZoneList
syn keyword qtClass QCameraImageCapture
syn keyword qtClass QCameraImageCaptureControl
syn keyword qtClass QCameraImageProcessing
syn keyword qtClass QCameraImageProcessingControl
syn keyword qtClass QCameraLocksControl
syn keyword qtClass QCameraViewfinder
syn keyword qtClass QCameraViewfinderSettingsControl
syn keyword qtClass QCameraZoomControl
syn keyword qtClass QChar
syn keyword qtClass QCharRef
syn keyword qtClass QCheckBox
syn keyword qtClass QChildEvent
syn keyword qtClass QClipboard
syn keyword qtClass QCloseEvent
syn keyword qtClass QColor
syn keyword qtClass QColorDialog
syn keyword qtClass QColormap
syn keyword qtClass QColumnView
syn keyword qtClass QComboBox
syn keyword qtClass QCommandLinkButton
syn keyword qtClass QCommonStyle
syn keyword qtClass QCompass
syn keyword qtClass QCompassFilter
syn keyword qtClass QCompassReading
syn keyword qtClass QCompleter
syn keyword qtClass QConicalGradient
syn keyword qtClass QContextMenuEvent
syn keyword qtClass QContiguousCache
syn keyword qtClass QContiguousCacheData
syn keyword qtClass QContiguousCacheTypedData
syn keyword qtClass QCoreApplication
syn keyword qtClass QCryptographicHash
syn keyword qtClass QCursor
syn keyword qtClass QDataStream
syn keyword qtClass QDataWidgetMapper
syn keyword qtClass QDate
syn keyword qtClass QDateEdit
syn keyword qtClass QDateTime
syn keyword qtClass QDateTimeEdit
syn keyword qtClass QDBusAbstractAdaptor
syn keyword qtClass QDBusAbstractInterface
syn keyword qtClass QDBusAbstractInterfaceBase
syn keyword qtClass QDBusArgument
syn keyword qtClass QDBusConnection
syn keyword qtClass QDBusConnectionInterface
syn keyword qtClass QDBusContext
syn keyword qtClass QDBusError
syn keyword qtClass QDBusInterface
syn keyword qtClass QDBusMessage
syn keyword qtClass QDBusMetaType
syn keyword qtClass QDBusObjectPath
syn keyword qtClass QDBusPendingCall
syn keyword qtClass QDBusPendingCallWatcher
syn keyword qtClass QDBusPendingReply
syn keyword qtClass QDBusPendingReplyData
syn keyword qtClass QDBusReply
syn keyword qtClass QDBusServer
syn keyword qtClass QDBusServiceWatcher
syn keyword qtClass QDBusSignature
syn keyword qtClass QDBusUnixFileDescriptor
syn keyword qtClass QDBusVariant
syn keyword qtClass QDBusVirtualObject
syn keyword qtClass QDebug
syn keyword qtClass QDebugStateSaver
syn keyword qtClass QDeclarativeAttachedPropertiesFunc
syn keyword qtClass QDeclarativeComponent
syn keyword qtClass QDeclarativeContext
syn keyword qtClass QDeclarativeDebuggingEnabler
syn keyword qtClass QDeclarativeEngine
syn keyword qtClass QDeclarativeError
syn keyword qtClass QDeclarativeExpression
syn keyword qtClass QDeclarativeExtensionInterface
syn keyword qtClass QDeclarativeExtensionPlugin
syn keyword qtClass QDeclarativeImageProvider
syn keyword qtClass QDeclarativeInfo
syn keyword qtClass QDeclarativeItem
syn keyword qtClass QDeclarativeListProperty
syn keyword qtClass QDeclarativeListReference
syn keyword qtClass QDeclarativeNetworkAccessManagerFactory
syn keyword qtClass QDeclarativeParserStatus
syn keyword qtClass QDeclarativeProperties
syn keyword qtClass QDeclarativeProperty
syn keyword qtClass QDeclarativePropertyMap
syn keyword qtClass QDeclarativePropertyValueInterceptor
syn keyword qtClass QDeclarativePropertyValueSource
syn keyword qtClass QDeclarativeScriptString
syn keyword qtClass QDeclarativeTypeInfo
syn keyword qtClass QDeclarativeView
syn keyword qtClass QDeferredDeleteEvent
syn keyword qtClass QDesignerActionEditorInterface
syn keyword qtClass QDesignerComponents
syn keyword qtClass QDesignerContainerExtension
syn keyword qtClass QDesignerCustomWidgetCollectionInterface
syn keyword qtClass QDesignerCustomWidgetInterface
syn keyword qtClass QDesignerDnDItemInterface
syn keyword qtClass QDesignerDynamicPropertySheetExtension
syn keyword qtClass QDesignerExportWidget
syn keyword qtClass QDesignerExtraInfoExtension
syn keyword qtClass QDesignerFormEditorInterface
syn keyword qtClass QDesignerFormEditorPluginInterface
syn keyword qtClass QDesignerFormWindowCursorInterface
syn keyword qtClass QDesignerFormWindowInterface
syn keyword qtClass QDesignerFormWindowManagerInterface
syn keyword qtClass QDesignerFormWindowToolInterface
syn keyword qtClass QDesignerIntegration
syn keyword qtClass QDesignerIntegrationInterface
syn keyword qtClass QDesignerLanguageExtension
syn keyword qtClass QDesignerLayoutDecorationExtension
syn keyword qtClass QDesignerMemberSheetExtension
syn keyword qtClass QDesignerMetaDataBaseInterface
syn keyword qtClass QDesignerMetaDataBaseItemInterface
syn keyword qtClass QDesignerNewFormWidgetInterface
syn keyword qtClass QDesignerObjectInspectorInterface
syn keyword qtClass QDesignerOptionsPageInterface
syn keyword qtClass QDesignerPromotionInterface
syn keyword qtClass QDesignerPropertyEditorInterface
syn keyword qtClass QDesignerPropertySheetExtension
syn keyword qtClass QDesignerResourceBrowserInterface
syn keyword qtClass QDesignerSettingsInterface
syn keyword qtClass QDesignerTaskMenuExtension
syn keyword qtClass QDesignerWidgetBoxInterface
syn keyword qtClass QDesignerWidgetDataBaseInterface
syn keyword qtClass QDesignerWidgetDataBaseItemInterface
syn keyword qtClass QDesignerWidgetFactoryInterface
syn keyword qtClass QDesktopServices
syn keyword qtClass QDesktopWidget
syn keyword qtClass QDial
syn keyword qtClass QDialog
syn keyword qtClass QDialogButtonBox
syn keyword qtClass QDir
syn keyword qtClass QDirIterator
syn keyword qtClass QDirModel
syn keyword qtClass QDnsDomainNameRecord
syn keyword qtClass QDnsHostAddressRecord
syn keyword qtClass QDnsLookup
syn keyword qtClass QDnsMailExchangeRecord
syn keyword qtClass QDnsServiceRecord
syn keyword qtClass QDnsTextRecord
syn keyword qtClass QDockWidget
syn keyword qtClass QDomAttr
syn keyword qtClass QDomCDATASection
syn keyword qtClass QDomCharacterData
syn keyword qtClass QDomComment
syn keyword qtClass QDomDocument
syn keyword qtClass QDomDocumentFragment
syn keyword qtClass QDomDocumentType
syn keyword qtClass QDomElement
syn keyword qtClass QDomEntity
syn keyword qtClass QDomEntityReference
syn keyword qtClass QDomImplementation
syn keyword qtClass QDomNamedNodeMap
syn keyword qtClass QDomNode
syn keyword qtClass QDomNodeList
syn keyword qtClass QDomNotation
syn keyword qtClass QDomProcessingInstruction
syn keyword qtClass QDomText
syn keyword qtClass QDoubleSpinBox
syn keyword qtClass QDoubleValidator
syn keyword qtClass QDrag
syn keyword qtClass QDragEnterEvent
syn keyword qtClass QDragLeaveEvent
syn keyword qtClass QDragMoveEvent
syn keyword qtClass QDropEvent
syn keyword qtClass QDynamicPropertyChangeEvent
syn keyword qtClass QEasingCurve
syn keyword qtClass QElapsedTimer
syn keyword qtClass QEnterEvent
syn keyword qtClass QErrorMessage
syn keyword qtClass QEvent
syn keyword qtClass QEventLoop
syn keyword qtClass QEventLoopLocker
syn keyword qtClass QEventSizeOfChecker
syn keyword qtClass QEventTransition
syn keyword qtClass QException
syn keyword qtClass QExplicitlySharedDataPointer
syn keyword qtClass QExposeEvent
syn keyword qtClass QExtensionFactory
syn keyword qtClass QExtensionManager
syn keyword qtClass QFactoryInterface
syn keyword qtClass QFile
syn keyword qtClass QFileDevice
syn keyword qtClass QFileDialog
syn keyword qtClass QFileIconProvider
syn keyword qtClass QFileInfo
syn keyword qtClass QFileInfoList
syn keyword qtClass QFileOpenEvent
syn keyword qtClass QFileSystemModel
syn keyword qtClass QFileSystemWatcher
syn keyword qtClass QFinalState
syn keyword qtClass QFlag
syn keyword qtClass QFlags
syn keyword qtClass QFocusEvent
syn keyword qtClass QFocusFrame
syn keyword qtClass QFont
syn keyword qtClass QFontComboBox
syn keyword qtClass QFontDatabase
syn keyword qtClass QFontDialog
syn keyword qtClass QFontInfo
syn keyword qtClass QFontMetrics
syn keyword qtClass QFontMetricsF
syn keyword qtClass QForeachContainer
syn keyword qtClass QFormBuilder
syn keyword qtClass QFormLayout
syn keyword qtClass QFrame
syn keyword qtClass QFunctionPointer
syn keyword qtClass QFuture
syn keyword qtClass QFutureInterface
syn keyword qtClass QFutureInterfaceBase
syn keyword qtClass QFutureIterator
syn keyword qtClass QFutureSynchronizer
syn keyword qtClass QFutureWatcher
syn keyword qtClass QFutureWatcherBase
syn keyword qtClass QGenericArgument
syn keyword qtClass QGenericMatrix
syn keyword qtClass QGenericPlugin
syn keyword qtClass QGenericPluginFactory
syn keyword qtClass QGenericReturnArgument
syn keyword qtClass QGesture
syn keyword qtClass QGestureEvent
syn keyword qtClass QGestureRecognizer
syn keyword qtClass QGLBuffer
syn keyword qtClass QGLColormap
syn keyword qtClass QGLContext
syn keyword qtClass QGLFormat
syn keyword qtClass QGLFramebufferObject
syn keyword qtClass QGLFramebufferObjectFormat
syn keyword qtClass QGLFunctions
syn keyword qtClass QGLFunctionsPrivate
syn keyword qtClass QGlobalStatic
syn keyword qtClass QGLPixelBuffer
syn keyword qtClass QGLShader
syn keyword qtClass QGLShaderProgram
syn keyword qtClass QGLWidget
syn keyword qtClass QGlyphRun
syn keyword qtClass QGradient
syn keyword qtClass QGradientStop
syn keyword qtClass QGradientStops
syn keyword qtClass QGraphicsAnchor
syn keyword qtClass QGraphicsAnchorLayout
syn keyword qtClass QGraphicsBlurEffect
syn keyword qtClass QGraphicsColorizeEffect
syn keyword qtClass QGraphicsDropShadowEffect
syn keyword qtClass QGraphicsEffect
syn keyword qtClass QGraphicsEllipseItem
syn keyword qtClass QGraphicsGridLayout
syn keyword qtClass QGraphicsItem
syn keyword qtClass QGraphicsItemAnimation
syn keyword qtClass QGraphicsItemGroup
syn keyword qtClass QGraphicsLayout
syn keyword qtClass QGraphicsLayoutItem
syn keyword qtClass QGraphicsLinearLayout
syn keyword qtClass QGraphicsLineItem
syn keyword qtClass QGraphicsObject
syn keyword qtClass QGraphicsOpacityEffect
syn keyword qtClass QGraphicsPathItem
syn keyword qtClass QGraphicsPixmapItem
syn keyword qtClass QGraphicsPolygonItem
syn keyword qtClass QGraphicsProxyWidget
syn keyword qtClass QGraphicsRectItem
syn keyword qtClass QGraphicsRotation
syn keyword qtClass QGraphicsScale
syn keyword qtClass QGraphicsScene
syn keyword qtClass QGraphicsSceneContextMenuEvent
syn keyword qtClass QGraphicsSceneDragDropEvent
syn keyword qtClass QGraphicsSceneEvent
syn keyword qtClass QGraphicsSceneHelpEvent
syn keyword qtClass QGraphicsSceneHoverEvent
syn keyword qtClass QGraphicsSceneMouseEvent
syn keyword qtClass QGraphicsSceneMoveEvent
syn keyword qtClass QGraphicsSceneResizeEvent
syn keyword qtClass QGraphicsSceneWheelEvent
syn keyword qtClass QGraphicsSimpleTextItem
syn keyword qtClass QGraphicsSvgItem
syn keyword qtClass QGraphicsTextItem
syn keyword qtClass QGraphicsTransform
syn keyword qtClass QGraphicsVideoItem
syn keyword qtClass QGraphicsView
syn keyword qtClass QGraphicsWebView
syn keyword qtClass QGraphicsWidget
syn keyword qtClass QGridLayout
syn keyword qtClass QGroupBox
syn keyword qtClass QGuiApplication
syn keyword qtClass QGyroscope
syn keyword qtClass QGyroscopeFilter
syn keyword qtClass QGyroscopeReading
syn keyword qtClass QHash
syn keyword qtClass QHashData
syn keyword qtClass QHashDummyNode
syn keyword qtClass QHashDummyValue
syn keyword qtClass QHashIterator
syn keyword qtClass QHashNode
syn keyword qtClass QHBoxLayout
syn keyword qtClass QHeaderView
syn keyword qtClass QHelpContentItem
syn keyword qtClass QHelpContentModel
syn keyword qtClass QHelpContentWidget
syn keyword qtClass QHelpEngine
syn keyword qtClass QHelpEngineCore
syn keyword qtClass QHelpEvent
syn keyword qtClass QHelpGlobal
syn keyword qtClass QHelpIndexModel
syn keyword qtClass QHelpIndexWidget
syn keyword qtClass QHelpSearchEngine
syn keyword qtClass QHelpSearchQuery
syn keyword qtClass QHelpSearchQueryWidget
syn keyword qtClass QHelpSearchResultWidget
syn keyword qtClass QHideEvent
syn keyword qtClass QHistoryState
syn keyword qtClass QHolsterFilter
syn keyword qtClass QHolsterReading
syn keyword qtClass QHolsterSensor
syn keyword qtClass QHostAddress
syn keyword qtClass QHostInfo
syn keyword qtClass QHoverEvent
syn keyword qtClass QHttpMultiPart
syn keyword qtClass QHttpPart
syn keyword qtClass QIcon
syn keyword qtClass QIconDragEvent
syn keyword qtClass QIconEngine
syn keyword qtClass QIconEnginePlugin
syn keyword qtClass QIconEngineV2
syn keyword qtClass QIdentityProxyModel
syn keyword qtClass QImage
syn keyword qtClass QImageCleanupFunction
syn keyword qtClass QImageEncoderControl
syn keyword qtClass QImageEncoderSettings
syn keyword qtClass QImageIOHandler
syn keyword qtClass QImageIOPlugin
syn keyword qtClass QImageReader
syn keyword qtClass QImageTextKeyLang
syn keyword qtClass QImageWriter
syn keyword qtClass QIncompatibleFlag
syn keyword qtClass QInputDialog
syn keyword qtClass QInputEvent
syn keyword qtClass QInputMethod
syn keyword qtClass QInputMethodEvent
syn keyword qtClass QInputMethodQueryEvent
syn keyword qtClass QIntegerForSize
syn keyword qtClass QInternal
syn keyword qtClass QIntValidator
syn keyword qtClass QIODevice
syn keyword qtClass Q_IPV6ADDR
syn keyword qtClass QIPv6Address
syn keyword qtClass QIRProximityFilter
syn keyword qtClass QIRProximityReading
syn keyword qtClass QIRProximitySensor
syn keyword qtClass QItemDelegate
syn keyword qtClass QItemEditorCreator
syn keyword qtClass QItemEditorCreatorBase
syn keyword qtClass QItemEditorFactory
syn keyword qtClass QItemSelection
syn keyword qtClass QItemSelectionModel
syn keyword qtClass QItemSelectionRange
syn keyword qtClass QJSEngine
syn keyword qtClass QJsonArray
syn keyword qtClass QJsonDocument
syn keyword qtClass QJsonObject
syn keyword qtClass QJsonParseError
syn keyword qtClass QJsonValue
syn keyword qtClass QJsonValueRef
syn keyword qtClass QJSValue
syn keyword qtClass QJSValueIterator
syn keyword qtClass QJSValueList
syn keyword qtClass QKeyEvent
syn keyword qtClass QKeyEventTransition
syn keyword qtClass QKeySequence
syn keyword qtClass QLabel
syn keyword qtClass QLatin1Char
syn keyword qtClass QLatin1Literal
syn keyword qtClass QLatin1String
syn keyword qtClass QLayout
syn keyword qtClass QLayoutItem
syn keyword qtClass QLCDNumber
syn keyword qtClass QLibrary
syn keyword qtClass QLibraryInfo
syn keyword qtClass QLightFilter
syn keyword qtClass QLightReading
syn keyword qtClass QLightSensor
syn keyword qtClass QLine
syn keyword qtClass QLinearGradient
syn keyword qtClass QLineEdit
syn keyword qtClass QLineF
syn keyword qtClass QLinkedList
syn keyword qtClass QLinkedListData
syn keyword qtClass QLinkedListIterator
syn keyword qtClass QLinkedListNode
syn keyword qtClass QList
syn keyword qtClass QListData
syn keyword qtClass QListIterator
syn keyword qtClass QListView
syn keyword qtClass QListWidget
syn keyword qtClass QListWidgetItem
syn keyword qtClass QLocale
syn keyword qtClass QLocalServer
syn keyword qtClass QLocalSocket
syn keyword qtClass QLockFile
syn keyword qtClass QMacCocoaViewContainer
syn keyword qtClass QMacNativeWidget
syn keyword qtClass QMagnetometer
syn keyword qtClass QMagnetometerFilter
syn keyword qtClass QMagnetometerReading
syn keyword qtClass QMainWindow
syn keyword qtClass QMap
syn keyword qtClass QMapData
syn keyword qtClass QMapDataBase
syn keyword qtClass QMapIterator
syn keyword qtClass QMapNode
syn keyword qtClass QMapNodeBase
syn keyword qtClass QMargins
syn keyword qtClass QMatrix
syn keyword qtClass QMatrix2x2
syn keyword qtClass QMatrix2x3
syn keyword qtClass QMatrix2x4
syn keyword qtClass QMatrix3x2
syn keyword qtClass QMatrix3x3
syn keyword qtClass QMatrix3x4
syn keyword qtClass QMatrix4x2
syn keyword qtClass QMatrix4x3
syn keyword qtClass QMatrix4x4
syn keyword qtClass QMdiArea
syn keyword qtClass QMdiSubWindow
syn keyword qtClass QMediaAudioProbeControl
syn keyword qtClass QMediaAvailabilityControl
syn keyword qtClass QMediaBindableInterface
syn keyword qtClass QMediaContainerControl
syn keyword qtClass QMediaContent
syn keyword qtClass QMediaControl
syn keyword qtClass QMediaGaplessPlaybackControl
syn keyword qtClass QMediaMetaData
syn keyword qtClass QMediaNetworkAccessControl
syn keyword qtClass QMediaObject
syn keyword qtClass QMediaPlayer
syn keyword qtClass QMediaPlayerControl
syn keyword qtClass QMediaPlaylist
syn keyword qtClass QMediaRecorder
syn keyword qtClass QMediaRecorderControl
syn keyword qtClass QMediaResource
syn keyword qtClass QMediaResourceList
syn keyword qtClass QMediaService
syn keyword qtClass QMediaServiceFeaturesInterface
syn keyword qtClass QMediaServiceProviderFactoryInterface
syn keyword qtClass QMediaServiceProviderHint
syn keyword qtClass QMediaServiceProviderPlugin
syn keyword qtClass QMediaServiceSupportedDevicesInterface
syn keyword qtClass QMediaServiceSupportedFormatsInterface
syn keyword qtClass QMediaStreamsControl
syn keyword qtClass QMediaTimeInterval
syn keyword qtClass QMediaTimeRange
syn keyword qtClass QMediaVideoProbeControl
syn keyword qtClass QMenu
syn keyword qtClass QMenuBar
syn keyword qtClass QMessageAuthenticationCode
syn keyword qtClass QMessageBox
syn keyword qtClass QMessageLogContext
syn keyword qtClass QMessageLogger
syn keyword qtClass QMetaClassInfo
syn keyword qtClass QMetaDataReaderControl
syn keyword qtClass QMetaDataWriterControl
syn keyword qtClass QMetaEnum
syn keyword qtClass QMetaMethod
syn keyword qtClass QMetaObject
syn keyword qtClass QMetaProperty
syn keyword qtClass QMetaType
syn keyword qtClass QMetaTypeId
syn keyword qtClass QMetaTypeId2
syn keyword qtClass QMetaTypeIdQObject
syn keyword qtClass QMimeData
syn keyword qtClass QMimeDatabase
syn keyword qtClass QMimeType
syn keyword qtClass QModelIndex
syn keyword qtClass QModelIndexList
syn keyword qtClass QMouseEvent
syn keyword qtClass QMouseEventTransition
syn keyword qtClass QMoveEvent
syn keyword qtClass QMovie
syn keyword qtClass QMultiHash
syn keyword qtClass QMultiMap
syn keyword qtClass QMultimedia
syn keyword qtClass QMutableFutureIterator
syn keyword qtClass QMutableHashIterator
syn keyword qtClass QMutableLinkedListIterator
syn keyword qtClass QMutableListIterator
syn keyword qtClass QMutableMapIterator
syn keyword qtClass QMutableSetIterator
syn keyword qtClass QMutableStringListIterator
syn keyword qtClass QMutableVectorIterator
syn keyword qtClass QMutex
syn keyword qtClass QMutexLocker
syn keyword qtClass QNetworkAccessManager
syn keyword qtClass QNetworkAddressEntry
syn keyword qtClass QNetworkCacheMetaData
syn keyword qtClass QNetworkConfiguration
syn keyword qtClass QNetworkConfigurationManager
syn keyword qtClass QNetworkCookie
syn keyword qtClass QNetworkCookieJar
syn keyword qtClass QNetworkDiskCache
syn keyword qtClass QNetworkInterface
syn keyword qtClass QNetworkProxy
syn keyword qtClass QNetworkProxyFactory
syn keyword qtClass QNetworkProxyQuery
syn keyword qtClass QNetworkReply
syn keyword qtClass QNetworkRequest
syn keyword qtClass QNetworkSession
syn keyword qtClass QNoDebug
syn keyword qtClass QNoImplicitBoolCast
syn keyword qtClass QObject
syn keyword qtClass QObjectCleanupHandler
syn keyword qtClass QObjectData
syn keyword qtClass QObjectList
syn keyword qtClass QObjectUserData
syn keyword qtClass QOffscreenSurface
syn keyword qtClass QOpenGLBuffer
syn keyword qtClass QOpenGLContext
syn keyword qtClass QOpenGLContextGroup
syn keyword qtClass QOpenGLDebugLogger
syn keyword qtClass QOpenGLDebugMessage
syn keyword qtClass QOpenGLExtensions
syn keyword qtClass QOpenGLFramebufferObject
syn keyword qtClass QOpenGLFramebufferObjectFormat
syn keyword qtClass QOpenGLFunctions
syn keyword qtClass QOpenGLFunctions_1_0
syn keyword qtClass QOpenGLFunctions_1_1
syn keyword qtClass QOpenGLFunctions_1_2
syn keyword qtClass QOpenGLFunctions_1_3
syn keyword qtClass QOpenGLFunctions_1_4
syn keyword qtClass QOpenGLFunctions_1_5
syn keyword qtClass QOpenGLFunctions_2_0
syn keyword qtClass QOpenGLFunctions_2_1
syn keyword qtClass QOpenGLFunctions_3_0
syn keyword qtClass QOpenGLFunctions_3_1
syn keyword qtClass QOpenGLFunctions_3_2_Compatibility
syn keyword qtClass QOpenGLFunctions_3_2_Core
syn keyword qtClass QOpenGLFunctions_3_3_Compatibility
syn keyword qtClass QOpenGLFunctions_3_3_Core
syn keyword qtClass QOpenGLFunctions_4_0_Compatibility
syn keyword qtClass QOpenGLFunctions_4_0_Core
syn keyword qtClass QOpenGLFunctions_4_1_Compatibility
syn keyword qtClass QOpenGLFunctions_4_1_Core
syn keyword qtClass QOpenGLFunctions_4_2_Compatibility
syn keyword qtClass QOpenGLFunctions_4_2_Core
syn keyword qtClass QOpenGLFunctions_4_3_Compatibility
syn keyword qtClass QOpenGLFunctions_4_3_Core
syn keyword qtClass QOpenGLFunctions_ES2
syn keyword qtClass QOpenGLFunctionsPrivate
syn keyword qtClass QOpenGLPaintDevice
syn keyword qtClass QOpenGLShader
syn keyword qtClass QOpenGLShaderProgram
syn keyword qtClass QOpenGLTimeMonitor
syn keyword qtClass QOpenGLTimerQuery
syn keyword qtClass QOpenGLVersionFunctions
syn keyword qtClass QOpenGLVersionProfile
syn keyword qtClass QOpenGLVertexArrayObject
syn keyword qtClass QOrientationFilter
syn keyword qtClass QOrientationReading
syn keyword qtClass QOrientationSensor
syn keyword qtClass QPagedPaintDevice
syn keyword qtClass QPageSetupDialog
syn keyword qtClass QPaintDevice
syn keyword qtClass QPaintEngine
syn keyword qtClass QPaintEngineState
syn keyword qtClass QPainter
syn keyword qtClass QPainterPath
syn keyword qtClass QPainterPathStroker
syn keyword qtClass QPaintEvent
syn keyword qtClass QPair
syn keyword qtClass QPalette
syn keyword qtClass QPanGesture
syn keyword qtClass QParallelAnimationGroup
syn keyword qtClass QPauseAnimation
syn keyword qtClass QPdfWriter
syn keyword qtClass QPen
syn keyword qtClass QPersistentModelIndex
syn keyword qtClass QPicture
syn keyword qtClass QPictureFormatPlugin
syn keyword qtClass QPictureIO
syn keyword qtClass Q_PID
syn keyword qtClass QPinchGesture
syn keyword qtClass QPixmap
syn keyword qtClass QPixmapCache
syn keyword qtClass QPlainTextDocumentLayout
syn keyword qtClass QPlainTextEdit
syn keyword qtClass QPluginLoader
syn keyword qtClass QPoint
syn keyword qtClass QPointer
syn keyword qtClass QPointF
syn keyword qtClass QPolygon
syn keyword qtClass QPolygonF
syn keyword qtClass QPressureFilter
syn keyword qtClass QPressureReading
syn keyword qtClass QPressureSensor
syn keyword qtClass QPrintDialog
syn keyword qtClass QPrintEngine
syn keyword qtClass QPrinter
syn keyword qtClass QPrinterInfo
syn keyword qtClass QPrintPreviewDialog
syn keyword qtClass QPrintPreviewWidget
syn keyword qtClass QProcess
syn keyword qtClass QProcessEnvironment
syn keyword qtClass QProgressBar
syn keyword qtClass QProgressDialog
syn keyword qtClass QPropertyAnimation
syn keyword qtClass QProximityFilter
syn keyword qtClass QProximityReading
syn keyword qtClass QProximitySensor
syn keyword qtClass QProxyStyle
syn keyword qtClass QPushButton
syn keyword qtClass QQmlApplicationEngine
syn keyword qtClass QQmlAttachedPropertiesFunc
syn keyword qtClass QQmlComponent
syn keyword qtClass QQmlContext
syn keyword qtClass QQmlDebuggingEnabler
syn keyword qtClass QQmlEngine
syn keyword qtClass QQmlError
syn keyword qtClass QQmlExpression
syn keyword qtClass QQmlExtensionInterface
syn keyword qtClass QQmlExtensionPlugin
syn keyword qtClass QQmlFile
syn keyword qtClass QQmlImageProviderBase
syn keyword qtClass QQmlIncubationController
syn keyword qtClass QQmlIncubator
syn keyword qtClass QQmlInfo
syn keyword qtClass QQmlListProperty
syn keyword qtClass QQmlListReference
syn keyword qtClass QQmlNetworkAccessManagerFactory
syn keyword qtClass QQmlParserStatus
syn keyword qtClass QQmlProperties
syn keyword qtClass QQmlProperty
syn keyword qtClass QQmlPropertyMap
syn keyword qtClass QQmlPropertyValueSource
syn keyword qtClass QQmlScriptString
syn keyword qtClass QQmlTypeInfo
syn keyword qtClass QQmlTypesExtensionInterface
syn keyword qtClass QQuaternion
syn keyword qtClass QQueue
syn keyword qtClass QQuickImageProvider
syn keyword qtClass QQuickItem
syn keyword qtClass QQuickPaintedItem
syn keyword qtClass QQuickTextDocument
syn keyword qtClass QQuickTextureFactory
syn keyword qtClass QQuickTransform
syn keyword qtClass QQuickView
syn keyword qtClass QQuickWindow
syn keyword qtClass QRadialGradient
syn keyword qtClass QRadioButton
syn keyword qtClass QRadioData
syn keyword qtClass QRadioDataControl
syn keyword qtClass QRadioTuner
syn keyword qtClass QRadioTunerControl
syn keyword qtClass QRawFont
syn keyword qtClass QReadLocker
syn keyword qtClass QReadWriteLock
syn keyword qtClass QRect
syn keyword qtClass QRectF
syn keyword qtClass QRegExp
syn keyword qtClass QRegExpValidator
syn keyword qtClass QRegion
syn keyword qtClass QRegularExpression
syn keyword qtClass QRegularExpressionMatch
syn keyword qtClass QRegularExpressionMatchIterator
syn keyword qtClass QRegularExpressionValidator
syn keyword qtClass QResizeEvent
syn keyword qtClass QResource
syn keyword qtClass QReturnArgument
syn keyword qtClass QRgb
syn keyword qtClass QRotationFilter
syn keyword qtClass QRotationReading
syn keyword qtClass QRotationSensor
syn keyword qtClass QRubberBand
syn keyword qtClass QRunnable
syn keyword qtClass QSaveFile
syn keyword qtClass QScopedArrayPointer
syn keyword qtClass QScopedPointer
syn keyword qtClass QScopedPointerArrayDeleter
syn keyword qtClass QScopedPointerDeleter
syn keyword qtClass QScopedPointerPodDeleter
syn keyword qtClass QScopedValueRollback
syn keyword qtClass QScreen
syn keyword qtClass QScreenOrientationChangeEvent
syn keyword qtClass QScriptable
syn keyword qtClass QScriptClass
syn keyword qtClass QScriptClassPropertyIterator
syn keyword qtClass QScriptContext
syn keyword qtClass QScriptContextInfo
syn keyword qtClass QScriptContextInfoList
syn keyword qtClass QScriptEngine
syn keyword qtClass QScriptEngineAgent
syn keyword qtClass QScriptEngineDebugger
syn keyword qtClass QScriptExtensionInterface
syn keyword qtClass QScriptExtensionPlugin
syn keyword qtClass QScriptProgram
syn keyword qtClass QScriptString
syn keyword qtClass QScriptSyntaxCheckResult
syn keyword qtClass QScriptValue
syn keyword qtClass QScriptValueIterator
syn keyword qtClass QScriptValueList
syn keyword qtClass QScrollArea
syn keyword qtClass QScrollBar
syn keyword qtClass QScroller
syn keyword qtClass QScrollerProperties
syn keyword qtClass QScrollEvent
syn keyword qtClass QScrollPrepareEvent
syn keyword qtClass QSemaphore
syn keyword qtClass QSensor
syn keyword qtClass QSensorBackend
syn keyword qtClass QSensorBackendFactory
syn keyword qtClass QSensorChangesInterface
syn keyword qtClass QSensorFilter
syn keyword qtClass QSensorGesture
syn keyword qtClass QSensorGestureManager
syn keyword qtClass QSensorGesturePluginInterface
syn keyword qtClass QSensorGestureRecognizer
syn keyword qtClass QSensorManager
syn keyword qtClass QSensorPluginInterface
syn keyword qtClass QSensorReading
syn keyword qtClass QSequentialAnimationGroup
syn keyword qtClass QSerialPort
syn keyword qtClass QSerialPortInfo
syn keyword qtClass QSessionManager
syn keyword qtClass QSet
syn keyword qtClass QSetIterator
syn keyword qtClass QSettings
syn keyword qtClass QSGBasicGeometryNode
syn keyword qtClass QSGClipNode
syn keyword qtClass QSGDynamicTexture
syn keyword qtClass QSGFlatColorMaterial
syn keyword qtClass QSGGeometry
syn keyword qtClass QSGGeometryNode
syn keyword qtClass QSGMaterial
syn keyword qtClass QSGMaterialShader
syn keyword qtClass QSGMaterialType
syn keyword qtClass QSGNode
syn keyword qtClass QSGNodeVisitor
syn keyword qtClass QSGOpacityNode
syn keyword qtClass QSGOpaqueTextureMaterial
syn keyword qtClass QSGRootNode
syn keyword qtClass QSGSimpleMaterial
syn keyword qtClass QSGSimpleMaterialComparableMaterial
syn keyword qtClass QSGSimpleMaterialShader
syn keyword qtClass QSGSimpleRectNode
syn keyword qtClass QSGSimpleTextureNode
syn keyword qtClass QSGTexture
syn keyword qtClass QSGTextureMaterial
syn keyword qtClass QSGTextureProvider
syn keyword qtClass QSGTransformNode
syn keyword qtClass QSGVertexColorMaterial
syn keyword qtClass QSharedData
syn keyword qtClass QSharedDataPointer
syn keyword qtClass QSharedMemory
syn keyword qtClass QSharedPointer
syn keyword qtClass QShortcut
syn keyword qtClass QShortcutEvent
syn keyword qtClass QShowEvent
syn keyword qtClass QSignalMapper
syn keyword qtClass QSignalSpy
syn keyword qtClass QSignalTransition
syn keyword qtClass QSimpleXmlNodeModel
syn keyword qtClass QSize
syn keyword qtClass QSizeF
syn keyword qtClass QSizeGrip
syn keyword qtClass QSizePolicy
syn keyword qtClass QSlider
syn keyword qtClass QSocketNotifier
syn keyword qtClass QSortFilterProxyModel
syn keyword qtClass QSound
syn keyword qtClass QSoundEffect
syn keyword qtClass QSourceLocation
syn keyword qtClass QSpacerItem
syn keyword qtClass QSpinBox
syn keyword qtClass QSplashScreen
syn keyword qtClass QSplitter
syn keyword qtClass QSplitterHandle
syn keyword qtClass QSpontaneKeyEvent
syn keyword qtClass QSql
syn keyword qtClass QSqlDatabase
syn keyword qtClass QSqlDriver
syn keyword qtClass QSqlDriverCreator
syn keyword qtClass QSqlDriverCreatorBase
syn keyword qtClass QSqlDriverPlugin
syn keyword qtClass QSqlError
syn keyword qtClass QSqlField
syn keyword qtClass QSqlIndex
syn keyword qtClass QSqlQuery
syn keyword qtClass QSqlQueryModel
syn keyword qtClass QSqlRecord
syn keyword qtClass QSqlRelation
syn keyword qtClass QSqlRelationalDelegate
syn keyword qtClass QSqlRelationalTableModel
syn keyword qtClass QSqlResult
syn keyword qtClass QSqlTableModel
syn keyword qtClass QSsl
syn keyword qtClass QSslCertificate
syn keyword qtClass QSslCertificateExtension
syn keyword qtClass QSslCipher
syn keyword qtClass QSslConfiguration
syn keyword qtClass QSslError
syn keyword qtClass QSslKey
syn keyword qtClass QSslSocket
syn keyword qtClass QStack
syn keyword qtClass QStackedLayout
syn keyword qtClass QStackedWidget
syn keyword qtClass QStandardItem
syn keyword qtClass QStandardItemEditorCreator
syn keyword qtClass QStandardItemModel
syn keyword qtClass QStandardPaths
syn keyword qtClass QState
syn keyword qtClass QStateMachine
syn keyword qtClass QStaticArrayData
syn keyword qtClass QStaticAssertFailure
syn keyword qtClass QStaticByteArrayData
syn keyword qtClass QStaticPlugin
syn keyword qtClass QStaticStringData
syn keyword qtClass QStaticText
syn keyword qtClass QStatusBar
syn keyword qtClass QStatusTipEvent
syn keyword qtClass QString
syn keyword qtClass QStringBuilder
syn keyword qtClass QStringData
syn keyword qtClass QStringDataPtr
syn keyword qtClass QStringList
syn keyword qtClass QStringListIterator
syn keyword qtClass QStringListModel
syn keyword qtClass QStringMatcher
syn keyword qtClass QStringRef
syn keyword qtClass QStyle
syn keyword qtClass QStyledItemDelegate
syn keyword qtClass QStyleFactory
syn keyword qtClass QStyleHintReturn
syn keyword qtClass QStyleHintReturnMask
syn keyword qtClass QStyleHintReturnVariant
syn keyword qtClass QStyleHints
syn keyword qtClass QStyleOption
syn keyword qtClass QStyleOptionButton
syn keyword qtClass QStyleOptionComboBox
syn keyword qtClass QStyleOptionComplex
syn keyword qtClass QStyleOptionDockWidget
syn keyword qtClass QStyleOptionDockWidgetV2
syn keyword qtClass QStyleOptionFocusRect
syn keyword qtClass QStyleOptionFrame
syn keyword qtClass QStyleOptionFrameV2
syn keyword qtClass QStyleOptionFrameV3
syn keyword qtClass QStyleOptionGraphicsItem
syn keyword qtClass QStyleOptionGroupBox
syn keyword qtClass QStyleOptionHeader
syn keyword qtClass QStyleOptionMenuItem
syn keyword qtClass QStyleOptionProgressBar
syn keyword qtClass QStyleOptionProgressBarV2
syn keyword qtClass QStyleOptionRubberBand
syn keyword qtClass QStyleOptionSizeGrip
syn keyword qtClass QStyleOptionSlider
syn keyword qtClass QStyleOptionSpinBox
syn keyword qtClass QStyleOptionTab
syn keyword qtClass QStyleOptionTabBarBase
syn keyword qtClass QStyleOptionTabBarBaseV2
syn keyword qtClass QStyleOptionTabV2
syn keyword qtClass QStyleOptionTabV3
syn keyword qtClass QStyleOptionTabWidgetFrame
syn keyword qtClass QStyleOptionTabWidgetFrameV2
syn keyword qtClass QStyleOptionTitleBar
syn keyword qtClass QStyleOptionToolBar
syn keyword qtClass QStyleOptionToolBox
syn keyword qtClass QStyleOptionToolBoxV2
syn keyword qtClass QStyleOptionToolButton
syn keyword qtClass QStyleOptionViewItem
syn keyword qtClass QStyleOptionViewItemV2
syn keyword qtClass QStyleOptionViewItemV3
syn keyword qtClass QStyleOptionViewItemV4
syn keyword qtClass QStylePainter
syn keyword qtClass QStylePlugin
syn keyword qtClass QSurface
syn keyword qtClass QSurfaceFormat
syn keyword qtClass QSvgGenerator
syn keyword qtClass QSvgRenderer
syn keyword qtClass QSvgWidget
syn keyword qtClass QSwipeGesture
syn keyword qtClass QSyntaxHighlighter
syn keyword qtClass QSysInfo
syn keyword qtClass QSystemSemaphore
syn keyword qtClass QSystemTrayIcon
syn keyword qtClass Qt
syn keyword qtClass QTabBar
syn keyword qtClass QTabletEvent
syn keyword qtClass QTableView
syn keyword qtClass QTableWidget
syn keyword qtClass QTableWidgetItem
syn keyword qtClass QTableWidgetSelectionRange
syn keyword qtClass QTabWidget
syn keyword qtClass QtAlgorithms
syn keyword qtClass QTapAndHoldGesture
syn keyword qtClass QTapFilter
syn keyword qtClass QTapGesture
syn keyword qtClass QTapReading
syn keyword qtClass QTapSensor
syn keyword qtClass QtCleanUpFunction
syn keyword qtClass QtCLucene
syn keyword qtClass QtCLuceneDepends
syn keyword qtClass QtCLuceneVersion
syn keyword qtClass QtConcurrent
syn keyword qtClass QtConcurrentDepends
syn keyword qtClass QtConcurrentFilter
syn keyword qtClass QtConcurrentMap
syn keyword qtClass QtConcurrentRun
syn keyword qtClass QtConcurrentVersion
syn keyword qtClass QtConfig
syn keyword qtClass QtContainerFwd
syn keyword qtClass QtCore
syn keyword qtClass QtCoreDepends
syn keyword qtClass QtCoreVersion
syn keyword qtClass QTcpServer
syn keyword qtClass QTcpSocket
syn keyword qtClass QtDBus
syn keyword qtClass QtDBusDepends
syn keyword qtClass QtDBusVersion
syn keyword qtClass QtDebug
syn keyword qtClass QtDeclarative
syn keyword qtClass QtDeclarativeDepends
syn keyword qtClass QtDeclarativeVersion
syn keyword qtClass QtDesigner
syn keyword qtClass QtDesignerComponents
syn keyword qtClass QtDesignerComponentsDepends
syn keyword qtClass QtDesignerComponentsVersion
syn keyword qtClass QtDesignerDepends
syn keyword qtClass QtDesignerVersion
syn keyword qtClass QTemporaryDir
syn keyword qtClass QTemporaryFile
syn keyword qtClass QtEndian
syn keyword qtClass QTest
syn keyword qtClass QTestAccessibility
syn keyword qtClass QTestData
syn keyword qtClass QTestDelayEvent
syn keyword qtClass QTestEvent
syn keyword qtClass QTestEventList
syn keyword qtClass QTestEventLoop
syn keyword qtClass QTestKeyClicksEvent
syn keyword qtClass QTestKeyEvent
syn keyword qtClass QTestMouseEvent
syn keyword qtClass QtEvents
syn keyword qtClass QTextBlock
syn keyword qtClass QTextBlockFormat
syn keyword qtClass QTextBlockGroup
syn keyword qtClass QTextBlockUserData
syn keyword qtClass QTextBoundaryFinder
syn keyword qtClass QTextBrowser
syn keyword qtClass QTextCharFormat
syn keyword qtClass QTextCodec
syn keyword qtClass QTextCursor
syn keyword qtClass QTextDecoder
syn keyword qtClass QTextDocument
syn keyword qtClass QTextDocumentFragment
syn keyword qtClass QTextDocumentWriter
syn keyword qtClass QTextEdit
syn keyword qtClass QTextEncoder
syn keyword qtClass QTextFormat
syn keyword qtClass QTextFragment
syn keyword qtClass QTextFrame
syn keyword qtClass QTextFrameFormat
syn keyword qtClass QTextFrameLayoutData
syn keyword qtClass QTextImageFormat
syn keyword qtClass QTextInlineObject
syn keyword qtClass QTextItem
syn keyword qtClass QTextLayout
syn keyword qtClass QTextLength
syn keyword qtClass QTextLine
syn keyword qtClass QTextList
syn keyword qtClass QTextListFormat
syn keyword qtClass QTextObject
syn keyword qtClass QTextObjectInterface
syn keyword qtClass QTextOption
syn keyword qtClass QTextStream
syn keyword qtClass QTextStreamFunction
syn keyword qtClass QTextStreamManipulator
syn keyword qtClass QTextTable
syn keyword qtClass QTextTableCell
syn keyword qtClass QTextTableCellFormat
syn keyword qtClass QTextTableFormat
syn keyword qtClass QtGlobal
syn keyword qtClass QtGui
syn keyword qtClass QtGuiDepends
syn keyword qtClass QtGuiVersion
syn keyword qtClass QtHelp
syn keyword qtClass QtHelpDepends
syn keyword qtClass QtHelpVersion
syn keyword qtClass QThread
syn keyword qtClass QThreadPool
syn keyword qtClass QThreadStorage
syn keyword qtClass QThreadStorageData
syn keyword qtClass QTileRules
syn keyword qtClass QTiltFilter
syn keyword qtClass QTiltReading
syn keyword qtClass QTiltSensor
syn keyword qtClass QTime
syn keyword qtClass QTimeEdit
syn keyword qtClass QTimeLine
syn keyword qtClass QTimer
syn keyword qtClass QTimerEvent
syn keyword qtClass QtMath
syn keyword qtClass QtMessageHandler
syn keyword qtClass QtMsgHandler
syn keyword qtClass QtMultimedia
syn keyword qtClass QtMultimediaDepends
syn keyword qtClass QtMultimediaQuick_p
syn keyword qtClass QtMultimediaQuick_pDepends
syn keyword qtClass QtMultimediaQuick_pVersion
syn keyword qtClass QtMultimediaVersion
syn keyword qtClass QtMultimediaWidgets
syn keyword qtClass QtMultimediaWidgetsDepends
syn keyword qtClass QtMultimediaWidgetsVersion
syn keyword qtClass QtNetwork
syn keyword qtClass QtNetworkDepends
syn keyword qtClass QtNetworkVersion
syn keyword qtClass QtNumeric
syn keyword qtClass QToolBar
syn keyword qtClass QToolBarChangeEvent
syn keyword qtClass QToolBox
syn keyword qtClass QToolButton
syn keyword qtClass QToolTip
syn keyword qtClass QtOpenGL
syn keyword qtClass QtOpenGLDepends
syn keyword qtClass QtOpenGLExtensions
syn keyword qtClass QtOpenGLExtensionsDepends
syn keyword qtClass QtOpenGLExtensionsVersion
syn keyword qtClass QtOpenGLVersion
syn keyword qtClass QTouchDevice
syn keyword qtClass QTouchEvent
syn keyword qtClass QtPlatformSupport
syn keyword qtClass QtPlatformSupportDepends
syn keyword qtClass QtPlatformSupportVersion
syn keyword qtClass QtPlugin
syn keyword qtClass QtPluginInstanceFunction
syn keyword qtClass QtPluginMetaDataFunction
syn keyword qtClass QtPrintSupport
syn keyword qtClass QtPrintSupportDepends
syn keyword qtClass QtPrintSupportVersion
syn keyword qtClass QtQml
syn keyword qtClass QtQmlDepends
syn keyword qtClass QtQmlVersion
syn keyword qtClass QtQuick
syn keyword qtClass QtQuickDepends
syn keyword qtClass QtQuickParticles
syn keyword qtClass QtQuickParticlesDepends
syn keyword qtClass QtQuickParticlesVersion
syn keyword qtClass QtQuickTest
syn keyword qtClass QtQuickTestDepends
syn keyword qtClass QtQuickTestVersion
syn keyword qtClass QtQuickVersion
syn keyword qtClass QTransform
syn keyword qtClass QTranslator
syn keyword qtClass QTreeView
syn keyword qtClass QTreeWidget
syn keyword qtClass QTreeWidgetItem
syn keyword qtClass QTreeWidgetItemIterator
syn keyword qtClass QtScript
syn keyword qtClass QtScriptDepends
syn keyword qtClass QtScriptTools
syn keyword qtClass QtScriptToolsDepends
syn keyword qtClass QtScriptToolsVersion
syn keyword qtClass QtScriptVersion
syn keyword qtClass QtSensors
syn keyword qtClass QtSensorsDepends
syn keyword qtClass QtSensorsVersion
syn keyword qtClass QtSerialPort
syn keyword qtClass QtSerialPortDepends
syn keyword qtClass QtSerialPortVersion
syn keyword qtClass QtSql
syn keyword qtClass QtSqlDepends
syn keyword qtClass QtSqlVersion
syn keyword qtClass QtSvg
syn keyword qtClass QtSvgDepends
syn keyword qtClass QtSvgVersion
syn keyword qtClass QtTest
syn keyword qtClass QtTestDepends
syn keyword qtClass QtTestGui
syn keyword qtClass QtTestVersion
syn keyword qtClass QtTestWidgets
syn keyword qtClass QtUiTools
syn keyword qtClass QtUiToolsDepends
syn keyword qtClass QtUiToolsVersion
syn keyword qtClass QtV8
syn keyword qtClass QtV8Depends
syn keyword qtClass QtV8Version
syn keyword qtClass QtWebKit
syn keyword qtClass QtWebKitDepends
syn keyword qtClass QtWebKitVersion
syn keyword qtClass QtWebKitWidgets
syn keyword qtClass QtWebKitWidgetsDepends
syn keyword qtClass QtWebKitWidgetsVersion
syn keyword qtClass QtWidgets
syn keyword qtClass QtWidgetsDepends
syn keyword qtClass QtWidgetsVersion
syn keyword qtClass QtX11Extras
syn keyword qtClass QtX11ExtrasDepends
syn keyword qtClass QtX11ExtrasVersion
syn keyword qtClass QtXml
syn keyword qtClass QtXmlDepends
syn keyword qtClass QtXmlPatterns
syn keyword qtClass QtXmlPatternsDepends
syn keyword qtClass QtXmlPatternsVersion
syn keyword qtClass QtXmlVersion
syn keyword qtClass QTypeInfo
syn keyword qtClass QTypeInfoMerger
syn keyword qtClass QUdpSocket
syn keyword qtClass QUiLoader
syn keyword qtClass QUndoCommand
syn keyword qtClass QUndoGroup
syn keyword qtClass QUndoStack
syn keyword qtClass QUndoView
syn keyword qtClass QUnhandledException
syn keyword qtClass QUrl
syn keyword qtClass QUrlQuery
syn keyword qtClass QUrlTwoFlags
syn keyword qtClass QUuid
syn keyword qtClass QValidator
syn keyword qtClass QVariant
syn keyword qtClass QVariantAnimation
syn keyword qtClass QVariantComparisonHelper
syn keyword qtClass QVariantHash
syn keyword qtClass QVariantList
syn keyword qtClass QVariantMap
syn keyword qtClass QVarLengthArray
syn keyword qtClass QVBoxLayout
syn keyword qtClass QVector
syn keyword qtClass QVector2D
syn keyword qtClass QVector3D
syn keyword qtClass QVector4D
syn keyword qtClass QVectorIterator
syn keyword qtClass QVideoDeviceSelectorControl
syn keyword qtClass QVideoEncoderSettings
syn keyword qtClass QVideoEncoderSettingsControl
syn keyword qtClass QVideoFrame
syn keyword qtClass QVideoProbe
syn keyword qtClass QVideoRendererControl
syn keyword qtClass QVideoSurfaceFormat
syn keyword qtClass QVideoWidget
syn keyword qtClass QVideoWidgetControl
syn keyword qtClass QVideoWindowControl
syn keyword qtClass QWaitCondition
syn keyword qtClass QWeakPointer
syn keyword qtClass QWebDatabase
syn keyword qtClass QWebElement
syn keyword qtClass QWebElementCollection
syn keyword qtClass QWebFrame
syn keyword qtClass QWebFullScreenVideoHandler
syn keyword qtClass QWebHapticFeedbackPlayer
syn keyword qtClass QWebHistory
syn keyword qtClass QWebHistoryInterface
syn keyword qtClass QWebHistoryItem
syn keyword qtClass QWebHitTestResult
syn keyword qtClass QWebInspector
syn keyword qtClass QWebKitPlatformPlugin
syn keyword qtClass QWebNotificationData
syn keyword qtClass QWebNotificationPresenter
syn keyword qtClass QWebPage
syn keyword qtClass QWebPluginFactory
syn keyword qtClass QWebSecurityOrigin
syn keyword qtClass QWebSelectData
syn keyword qtClass QWebSelectMethod
syn keyword qtClass QWebSettings
syn keyword qtClass QWebSpellChecker
syn keyword qtClass QWebTouchModifier
syn keyword qtClass QWebView
syn keyword qtClass QWhatsThis
syn keyword qtClass QWhatsThisClickedEvent
syn keyword qtClass QWheelEvent
syn keyword qtClass QWidget
syn keyword qtClass QWidgetAction
syn keyword qtClass QWidgetData
syn keyword qtClass QWidgetItem
syn keyword qtClass QWidgetItemV2
syn keyword qtClass QWidgetList
syn keyword qtClass QWidgetMapper
syn keyword qtClass QWidgetSet
syn keyword qtClass QWindow
syn keyword qtClass QWindowList
syn keyword qtClass QWindowStateChangeEvent
syn keyword qtClass QWinEventNotifier
syn keyword qtClass QWizard
syn keyword qtClass QWizardPage
syn keyword qtClass QWriteLocker
syn keyword qtClass QX11Info
syn keyword qtClass QXmlAttributes
syn keyword qtClass QXmlContentHandler
syn keyword qtClass QXmlDeclHandler
syn keyword qtClass QXmlDefaultHandler
syn keyword qtClass QXmlDTDHandler
syn keyword qtClass QXmlEntityResolver
syn keyword qtClass QXmlErrorHandler
syn keyword qtClass QXmlFormatter
syn keyword qtClass QXmlInputSource
syn keyword qtClass QXmlItem
syn keyword qtClass QXmlLexicalHandler
syn keyword qtClass QXmlLocator
syn keyword qtClass QXmlName
syn keyword qtClass QXmlNamePool
syn keyword qtClass QXmlNamespaceSupport
syn keyword qtClass QXmlNodeModelIndex
syn keyword qtClass QXmlParseException
syn keyword qtClass QXmlQuery
syn keyword qtClass QXmlReader
syn keyword qtClass QXmlResultItems
syn keyword qtClass QXmlSchema
syn keyword qtClass QXmlSchemaValidator
syn keyword qtClass QXmlSerializer
syn keyword qtClass QXmlSimpleReader
syn keyword qtClass QXmlStreamAttribute
syn keyword qtClass QXmlStreamAttributes
syn keyword qtClass QXmlStreamEntityDeclaration
syn keyword qtClass QXmlStreamEntityDeclarations
syn keyword qtClass QXmlStreamEntityResolver
syn keyword qtClass QXmlStreamNamespaceDeclaration
syn keyword qtClass QXmlStreamNamespaceDeclarations
syn keyword qtClass QXmlStreamNotationDeclaration
syn keyword qtClass QXmlStreamNotationDeclarations
syn keyword qtClass QXmlStreamReader
syn keyword qtClass QXmlStreamStringRef
syn keyword qtClass QXmlStreamWriter

" Qt Macros
syn keyword qtAccess signals slots
syn keyword qtMacro Q_ASSERT Q_CHECK_PTR Q_OBJECT
syn keyword qtMacro SIGNAL SLOT

" Qt Enum
" Qt
syn keyword qtEnumType CaseSensitivity

syn keyword qtEnumValue WaitCursor

" - QIODevice
syn keyword qtEnumValue WriteOnly ReadOnly Text

" - QDataStream
syn keyword qtEnumValue Qt_4_3

" - QKeySequence
syn keyword qtEnumValue Open Save

" Qt Statement
syn keyword qtStatement emit

" Qt Type
syn keyword qtType qint8 quint8 qint16 quint16 qint32 quint32 qint64 quint64
syn keyword qtType quintptr

" Highlight
highlight link qtNamespace cppConstant
highlight link qtClass Type
highlight link qtMacro cDefine
highlight link qtEnumType Type
highlight link qtEnumValue cppConstant
highlight link qtStatement cppStatement
highlight link qtAccess cppAccess
highlight link qtType Type
